#!/bin/bash

#set -e
#set -u


if [[  $# -ne 1 ]] ; then
  echo "usage : $0 <fichier>"
  exit 1
fi

if [[ ! -r "$1"  ]] ; then
  echo "$0 : erreur ouverture fichier ${fich}"
  exit 2
fi

fich=$1
while read ligne 
do
  login=$(echo "${ligne}"|cut -d: -f1)
  long=$(echo "${ligne}"|cut -d: -f2)
  echo "${login} ${long}"
  getent passwd "${login}" >> /dev/null
  if [[ $? -ne 0 ]] ; then 
	  useradd --create-home --home-dir /home/"${login}" --shell /bin/bash --comment "${long}" "${login}"
	 passwd=$(pwgen 6 1)
	 echo "${login}:${passwd}"|chpasswd
	 echo "${login}:${passwd}" >> "${fich}.pwd"
  else
	  echo "$0 : utilisateur ${login} existant"
  fi

done < $fich  
